VPN Access
==========

Accessing IT4Innovations internal resources via VPN
---------------------------------------------------

!!! Note "Note"
	**Failed to initialize connection subsystem Win 8.1 - 02-10-15 MS patch**

    Workaround can be found at [vpn-connection-fail-in-win-8.1](../../vpn-connection-fail-in-win-8.1.html)

For using resources and licenses which are located at IT4Innovations local network, it is necessary to VPN connect to this network. We use Cisco AnyConnect Secure Mobility Client, which is supported on the following operating systems:

-   Windows XP
-   Windows Vista
-   Windows 7
-   Windows 8
-   Linux
-   MacOS

It is impossible to connect to VPN from other operating systems.

VPN client installation
------------------------------------

You can install VPN client from web interface after successful login with LDAP credentials on address <https://vpn1.it4i.cz/anselm>

![](../../img/login.jpeg)

According to the Java settings after login, the client either automatically installs, or downloads installation file for your operating system. It is necessary to allow start of installation tool for automatic installation.

![](../../img/java_detection.jpeg)

![](../../img/executionaccess.jpeg)

![](../../img/executionaccess2.jpeg)

After successful installation, VPN connection will be established and you can use available resources from IT4I network.

![](../../img/successfullinstalation.jpeg)

If your Java setting doesn't allow automatic installation, you can download installation file and install VPN client manually.

![](../../img/instalationfile.jpeg)

After you click on the link, download of installation file will start.

![](../../img/downloadfilesuccessfull.jpeg)

After successful download of installation file, you have to execute this tool with administrator's rights and install VPN client manually.

Working with VPN client
-----------------------

You can use graphical user interface or command line interface to run VPN client on all supported operating systems. We suggest using GUI.

Before the first login to VPN, you have to fill URL **https://vpn1.it4i.cz/anselm** into the text field.

![](../../img/firstrun.jpg)

After you click on the Connect button, you must fill your login credentials.

![](../../img/logingui.jpg)

After a successful login, the client will minimize to the system tray.
If everything works, you can see a lock in the Cisco tray icon.

![](../../img/anyconnecticon.jpg)

If you right-click on this icon, you will see a context menu in which you can control the VPN connection.

![](../../img/anyconnectcontextmenu.jpg)

When you connect to the VPN for the first time, the client downloads the profile and creates a new item "ANSELM" in the connection list. For subsequent connections, it is not necessary to re-enter the URL address, but just select the corresponding item.

![](../../img/Anselmprofile.jpg)

Then AnyConnect automatically proceeds like in the case of first logon.

![](../../img/loginwithprofile.jpeg)

After a successful logon, you can see a green circle with a tick mark on the lock icon.

![](../../img/successfullconnection.jpg)

For disconnecting, right-click on the AnyConnect client icon in the system tray and select **VPN Disconnect**.